Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAnnotationFileAttachment

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
          org.pdfbox.pdmodel.interactive.annotation.PDAnnotationFileAttachment

All Implemented Interfaces:
  COSObjectable

public class PDAnnotationFileAttachment
extends PDAnnotation

This is the class that represents a file attachement.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Field Summary
`static String` | `ATTACHMENT_NAME_GRAPH` See get/setAttachmentName.
`static String` | `ATTACHMENT_NAME_PAPERCLIP` See get/setAttachmentName.
`static String` | `ATTACHMENT_NAME_PUSH_PIN` See get/setAttachmentName.
`static String` | `ATTACHMENT_NAME_TAG` See get/setAttachmentName.
`static String` | `SUB_TYPE` The type of annotation.

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`FLAG_HIDDEN, FLAG_INVISIBLE, FLAG_LOCKED, FLAG_NO_ROTATE, FLAG_NO_VIEW, FLAG_NO_ZOOM, FLAG_PRINTED, FLAG_READ_ONLY, FLAG_TOGGLE_NO_VIEW`

Constructor Summary
`PDAnnotationFileAttachment()` Constructor.
`PDAnnotationFileAttachment(COSDictionary field)` Creates a Link annotation from a COSDictionary, expected to be a correct object definition.

Method Summary
`String` | `getAttachmentName()` This is the name used to draw the type of attachment.
`PDFileSpecification` | `getFile()` Return the attached file.
`void` | `setAttachementName(String name)` Set the name used to draw the attachement icon.
`void` | `setFile(PDFileSpecification file)` Set the attached file.

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`createAnnotation, getAction, getActions, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceStream, getBoderStyle, getColour, getContents, getCOSObject, getDictionary, getModifiedDate, getRectangle, isHidden, isInvisible, isLocked, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAction, setActions, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceStream, setBorderStyle, setColour, setContents, setHidden, setInvisible, setLocked, setModifiedDate, setNoRotate, setNoView, setNoZoom, setPrinted, setReadOnly, setRectangle, setToggleNoView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTACHMENT_NAME_PUSH_PIN

    public static final String ATTACHMENT_NAME_PUSH_PIN

  See get/setAttachmentName.

  See Also:
    Constant Field Values

### ATTACHMENT_NAME_GRAPH

    public static final String ATTACHMENT_NAME_GRAPH

  See get/setAttachmentName.

  See Also:
    Constant Field Values

### ATTACHMENT_NAME_PAPERCLIP

    public static final String ATTACHMENT_NAME_PAPERCLIP

  See get/setAttachmentName.

  See Also:
    Constant Field Values

### ATTACHMENT_NAME_TAG

    public static final String ATTACHMENT_NAME_TAG

  See get/setAttachmentName.

  See Also:
    Constant Field Values

### SUB_TYPE

    public static final String SUB_TYPE

  The type of annotation.

  See Also:
    Constant Field Values

Constructor Detail

### PDAnnotationFileAttachment

    public PDAnnotationFileAttachment()

  Constructor.

### PDAnnotationFileAttachment

    public PDAnnotationFileAttachment(COSDictionary field)

  Creates a Link annotation from a COSDictionary, expected to be a correct object definition.

Parameters:
  `field` - the PDF objet to represent as a field.

Method Detail

### getFile

    public PDFileSpecification getFile()
                                throws IOException

  Return the attached file.

  Returns:
    The attached file.
  Throws:
    `IOException` - If there is an error creating the file spec.

### setFile

    public void setFile(PDFileSpecification file)

  Set the attached file.

  Parameters:
    `file` - The file that is attached.

### getAttachmentName

    public String getAttachmentName()

  This is the name used to draw the type of attachment. See the ATTACHMENT_NAME_XXX constants.

  Returns:
    The name that describes the visual cue for the attachment.

### setAttachementName

    public void setAttachementName(String name)

  Set the name used to draw the attachement icon. See the ATTACHMENT_NAME_XXX constants.

  Parameters:
    `name` - The name of the visual icon to draw.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD